ProPaintMobile
 Полезное
 Общение
 

Статьи | Java | Комментарии
5315  Aladdin [Off]
(19.10.2016 / 20:52)
А я вообще на 1.5 собираю :-D
116  aRiGaTo [Off]
 lys mit lys
(19.10.2016 / 20:05)
Naik, ты играешь не по правилам :girl:
275  Naik [Off]
(19.10.2016 / 19:57)
aRiGaTo, если учесть андроид, то будет 99 vs 1 :gg:
116  aRiGaTo [Off]
 lys mit lys
(19.10.2016 / 19:24)
Wladimir134679, да не такое уж большинство: статистика.
5496  Wladimir134679 [Off]
(19.10.2016 / 18:55)
Я про то что хочу использовать лямбды(вроде так называется), их на 8, но у меня и большенства, только 7-ая. У меня то JDK8 есть, только выгода в ней программировать?
3062  Витаминыч [Off]
(19.10.2016 / 18:41)
aNNiMON, я про это и говорю, что тут просто совместимость со старым кодом, обратной как таковой нет ведь.
1  aNNiMON (SV!) [On]
 let live
(19.10.2016 / 18:16)
Вы что-то напутали, господа.

Java не поддерживает совместимость от большего к меньшему, наоборот. То, что написано на Java 6 спокойно может быть запущено на Java 8.
3062  Витаминыч [Off]
(19.10.2016 / 18:07)
Обратная совместимостьтм

В коде -- быть может, но если писать на JDK8, то на JRE7 уже не запустится - просит обновить. У меня нет такой возможности, например. Максимум 7ая версия. Опять же, библиотеки, которые собирались на новой версии уже не подключаются в старой, надо все перекомпилировать. Хорошо, если зависимостей никаких нет. А то это все ужасно растянуться может.

СКОРЕЕ УЖЕ ПИШИ ПРО МОДУЛИ и вообще что там еще нового и что все это дает, конференцию пока не смотрел
  kalterfive [Off]
 Homo homini penis est.
(19.10.2016 / 17:53)
Они обратно совместимы, Wladimir.
5496  Wladimir134679 [Off]
(19.10.2016 / 17:51)
Сижу ещё на 7 Java, всё, думаешь на 8 переходить, не как не собирусь. А тут уже и 9 подходит...
Всего: 10
К записи
Java
Категории

Онлайн: 25 (5/20)

Telegram
 

Аноним2800 р.
NaruTrey800 р.
vlavolk522 р.
Freddy500 р.
mr-demiurg200 р.
  © aNNiMON (Melnik Software)
 
Яндекс.Метрика